### Struct

# Gegl Lookup

#### Description

    struct GeglLookup {
      GeglLookupFunction function;
      gpointer data;
      gint shift;
      guint32 positive_min;
      guint32 positive_max;
      guint32 negative_min;
      guint32 negative_max;
      guint32 bitmask[25600];
      gfloat table[];
    }

No description available.

###### Structure members

`function:` `GeglLookupFunction`

  No description available.

`data:` `gpointer`

  No description available.

`shift:` `gint`

  No description available.

`positive_min:` `guint32`

  No description available.

`positive_max:` `guint32`

  No description available.

`negative_min:` `guint32`

  No description available.

`negative_max:` `guint32`

  No description available.

`bitmask:` `guint32`

  No description available.

`table:` `gfloat`

  No description available.

#### Functions

###### gegl_lookup_new

No description available.

###### gegl_lookup_new_full

No description available.

#### Instance methods

###### gegl_lookup_free

No description available.